REFERENCES "System.Windows.Forms.dll"
REFERENCES "System.Drawing.dll"

USING System.Windows.Forms
USING System.Drawing
USING System.Drawing.Drawing2D

FUNCTION Start() AS VOID
	LOCAL oForm AS SampleForm
	oForm:=SampleForm{}
	oForm:Show()
	Application.Run(oForm)
RETURN

CLASS SampleForm INHERIT Form
CONSTRUCTOR() CLASS SampleForm
	SUPER()
	SELF:Text:='GDI Sample'
	SELF:ClientSize:=Size{400,400}
RETURN

METHOD OnPaint(e AS PaintEventArgs) AS VOID CLASS SampleForm
	LOCAL oGraphics AS Graphics
	LOCAL oPen AS Pen
	LOCAL n AS INT
	oGraphics := e:Graphics
	oPen := Pen{ Color.Empty }
	FOR n:=0 UPTO 11
		DO CASE
		CASE n <= 3 
			oPen:Color := Color.Red
		CASE n <= 7
			oPen:Color := Color.Blue
		OTHERWISE 
			oPen:Color := Color.Green
		END CASE
		DO CASE
		CASE n % 4 == 0
			oPen:DashStyle := DashStyle.Solid
		CASE n % 4 == 1
			oPen:DashStyle := DashStyle.Dash
		CASE n % 4 == 2
			oPen:DashStyle := DashStyle.Dot
		CASE n % 4 == 3
			oPen:DashStyle := DashStyle.DashDot
		END CASE
		oPen:Width := n / 2 + 1
		oGraphics:DrawLine(oPen, 10, 20 + n * 30, 390, 20 + n * 30)
	NEXT
RETURN

