REFERENCES "System.Windows.Forms.dll"
REFERENCES "System.Drawing.dll"

USING System.Windows.Forms
USING System.Drawing
USING System.Drawing.Drawing2D

FUNCTION Start() AS VOID
	LOCAL oForm AS SampleForm
	oForm:=SampleForm{}
	oForm:Show()
	Application.Run(oForm)
RETURN

CLASS SampleForm INHERIT Form
CONSTRUCTOR() CLASS SampleForm
	SUPER()
	SELF:Text:='GDI Sample'
	SELF:ClientSize:=Size{400,400}
RETURN

METHOD OnPaint(e AS PaintEventArgs) AS VOID CLASS SampleForm
	LOCAL oGraphics AS Graphics
	LOCAL oPen AS Pen
	oGraphics := e:Graphics

	oPen := Pen { Color.DarkGreen , 3.0}
	oGraphics:DrawRectangle(oPen, 50, 50, 300, 300)

	oPen:Color := Color.Red
	oGraphics:DrawEllipse(oPen, 50, 50, 300, 300)

	oPen:Color := Color.DarkBlue
	oPen:DashStyle := DashStyle.Dash
	oGraphics:DrawEllipse(oPen, 0, 100, 400, 200)
RETURN

