References "System.Windows.Forms.dll"
References "System.Drawing.dll"

Using System.Windows.Forms
Using System.Drawing
Using System.Drawing.Drawing2D

Function Start() As Void
	Local oForm As SampleForm
	Local n As Int
	oForm:=SampleForm{}
	oForm:Show()
	Application.Run(oForm)
Return

Class SampleForm Inherit Form
Constructor() Class SampleForm
	Super()
	Self:Text:='GDI Sample'
	Self:ClientSize:=Size{400,400}
Return

Method OnPaint(e As PaintEventArgs) As Void Class SampleForm
	Local oGraphics As Graphics
	Local oRectangle As Rectangle
	Local oPen As Pen
	Local oBrush As LinearGradientBrush
	Local oFont As Font
	Local cText As String
	oGraphics := e:Graphics
	
	cText := "Let's draw a very very long string inside this rectangle"

	oBrush := LinearGradientBrush{ Point { 0 , 0 } , Point { 400 , 100 } ,;
									 Color.Blue , Color.Red }
	oPen := Pen{ Color.DarkGray}
	oPen:Width := 3
	oPen:DashStyle := DashStyle.DashDotDot
	
	oRectangle := Rectangle{ 50 , 50 , 300 , 300 }

	oGraphics:DrawRectangle( oPen , oRectangle )
	
	oFont:=Font{ 'Arial', 28.0 , FontStyle.Bold }
	oGraphics:DrawString( cText , oFont , oBrush , oRectangle )
Return

