REFERENCES "System.Windows.Forms"
REFERENCES "System.Drawing"

USING System.Windows.Forms
USING System.Drawing
USING System.Drawing.Drawing2D

FUNCTION Start() AS VOID
	LOCAL oForm AS SampleForm
	LOCAL n AS INT
	oForm:=SampleForm{}
	oForm:Show()
	Application.Run(oForm)
RETURN

CLASS SampleForm INHERIT Form
	PROTECT oBitmap AS Bitmap

CONSTRUCTOR() CLASS SampleForm
	SUPER()
	SELF:Text := 'GDI Sample'
	SELF:oBitmap := Bitmap{'image.jpg'}
	SELF:ClientSize := Size{oBitmap:Width,oBitmap:Height + 180}
RETURN

METHOD OnPaint(e AS PaintEventArgs) AS VOID CLASS SampleForm
	LOCAL oSourceRect AS Rectangle
	LOCAL oDestRect AS Rectangle
	LOCAL oPen AS Pen

	e:Graphics:DrawImage( SELF:oBitmap , 0 , 0)
	
	oSourceRect:=Rectangle{215 , 115 , 60 , 60}
	oDestRect:=Rectangle{20 , 250 , 150 , 150}
	e:Graphics:DrawRectangle ( Pen{Color.Black , 2.0} , oSourceRect)

	oPen := Pen{Color.Gray , 1.0}
	oPen:DashStyle := DashStyle.Dash

	e:Graphics:DrawLine(oPen , oSourceRect:Left , oSourceRect:Bottom , ;
								oDestRect:Left , oDestRect:Bottom)

	e:Graphics:DrawImage( SELF:oBitmap , ;
						(RectangleF)oDestRect , ;
						(RectangleF)oSourceRect , GraphicsUnit.Pixel )
	
	e:Graphics:DrawLine(oPen , oSourceRect:Left , oSourceRect:Top , ;
								oDestRect:Left , oDestRect:Top)
	e:Graphics:DrawLine(oPen , oSourceRect:Right , oSourceRect:Top , ;
								oDestRect:Right , oDestRect:Top)
	e:Graphics:DrawLine(oPen , oSourceRect:Right , oSourceRect:Bottom , ;
								oDestRect:Right , oDestRect:Bottom)

RETURN

