REFERENCES "System.Windows.Forms.dll"
REFERENCES "System.Drawing.dll"

USING System.Windows.Forms
USING System.Drawing
USING System.Drawing.Drawing2D

FUNCTION Start() AS VOID
	LOCAL oForm AS SampleForm
	oForm:=SampleForm{}
	oForm:Show()
	Application.Run(oForm)
RETURN

CLASS SampleForm INHERIT Form
CONSTRUCTOR() CLASS SampleForm
	SUPER()
	SELF:Text:='GDI Sample'
	SELF:ClientSize:=Size{400,400}
RETURN

METHOD OnPaint(e AS PaintEventArgs) AS VOID CLASS SampleForm
	LOCAL oGraphics AS Graphics
	LOCAL oBrush AS SolidBrush
	oGraphics := e:Graphics

	oBrush := SolidBrush { Color.Red }
	oGraphics:FillRectangle(oBrush, 50, 50, 300, 300)
	
	oBrush:Color := Color.Blue

	oGraphics:FillEllipse(oBrush, 0, 100, 400, 100)
	oGraphics:FillEllipse(oBrush, 0, 200, 400, 100)
RETURN

