REFERENCES "System.Windows.Forms.dll"
REFERENCES "System.Drawing.dll"

USING System.Windows.Forms
USING System.Drawing
USING System.Drawing.Drawing2D

FUNCTION Start() AS VOID
	LOCAL oForm AS SampleForm
	LOCAL n AS INT
	oForm:=SampleForm{}
	oForm:Show()
	Application.Run(oForm)
RETURN

CLASS SampleForm INHERIT Form
CONSTRUCTOR() CLASS SampleForm
	SUPER()
	SELF:Text:='GDI Sample'
	SELF:ClientSize:=Size{400,400}
RETURN

METHOD OnPaint(e AS PaintEventArgs) AS VOID CLASS SampleForm
	LOCAL oGraphics AS Graphics
	LOCAL oLBrush AS LinearGradientBrush
	LOCAL oHBrush AS HatchBrush
	LOCAL oBackColor AS Color
	oGraphics := e:Graphics

	oLBrush := LinearGradientBrush { Point{0,0} , Point{400,400} , Color.Yellow , Color.Blue}
	oGraphics:FillRectangle(oLBrush, 0, 0, 400, 400)
	
	oBackColor := Color.FromArgb(192 , Color.White)
	
	oHBrush := HatchBrush { HatchStyle.Cross , Color.DarkRed , oBackColor }
	oGraphics:FillPie(oHBrush, 50, 50, 300, 300 , 30 ,120)
	
	oHBrush := HatchBrush { HatchStyle.DiagonalBrick , Color.DarkBlue , oBackColor }
	oGraphics:FillPie(oHBrush, 50, 50, 300, 300 , 150 ,120)
	
	oHBrush := HatchBrush { HatchStyle.OutlinedDiamond , Color.DarkGreen , oBackColor }
	oGraphics:FillPie(oHBrush, 50, 50, 300, 300 , 270 ,120)
RETURN

