References "System.Windows.Forms.dll"
References "System.Drawing.dll"

Using System.Windows.Forms
Using System.Drawing
Using System.Drawing.Drawing2D

Function Start() As Void
	Local oForm As SampleForm
	Local n As Int
	oForm:=SampleForm{}
	oForm:Show()
	Application.Run(oForm)
Return

Class SampleForm Inherit Form
Constructor() Class SampleForm
	Super()
	Self:Text:='GDI Sample'
	Self:ClientSize:=Size{400,400}
Return

Method OnPaint(e As PaintEventArgs) As Void Class SampleForm
	Local oGraphics As Graphics
	Local oBrush As SolidBrush
	Local oFont As Font
	oGraphics := e:Graphics

	oBrush := SolidBrush{ Color.Green }
	
	oFont:=Font {'Arial',30.0}
	oGraphics:DrawString ('Arial' , oFont , oBrush , Point{10,50} )
	oFont:=Font {'Arial',30.0, FontStyle.Bold}
	oGraphics:DrawString ('Arial BOLD' , oFont , oBrush , Point{10,100} )
	oFont:=Font {'Arial',30.0, FontStyle.Italic}
	oGraphics:DrawString ('Arial Italic' , oFont , oBrush , Point{10,150} )

	oBrush := SolidBrush{ Color.Red }
	
	oFont:=Font {'Courier New',20.0}
	oGraphics:DrawString ('Courier New' , oFont , oBrush , Point{10,250} )
	oFont:=Font {'Courier New',20.0, FontStyle.Strikeout}
	oGraphics:DrawString ('Courier New Strikeout' , oFont , oBrush , Point{10,300} )
	oFont:=Font {'Courier New',20.0, FontStyle.Underline}
	oGraphics:DrawString ('Courier New Underline' , oFont , oBrush , Point{10,350} )
Return

